﻿@Imports Syncfusion.JavaScript.Models
@Code
    ViewData("Title") = "Kanban"
    Layout = "~/Views/Shared/_Layout.cshtml"
End Code
<div id = "ControlRegion">
@Code
    Dim kanbanbuilder = Html.EJ().Kanban("Kanban")
    kanbanbuilder.DataSource(Model)
    kanbanbuilder.SelectionType(SelectionType.Single)
    kanbanbuilder.KeyField("Status")
    kanbanbuilder.Locale("en-US")
    kanbanbuilder.EditSettings(
Sub(ed)
    ed.AllowAdding(True)
    ed.AllowEditing(True)
    ed.EditMode(KanbanEditMode.Dialog)
    ed.EditItems(Sub(e)
                     e.Field("Id").ValidationRules(Sub(rule)
                                                       rule.AddRule("required", True).AddRule("number", True)
                                                   End Sub).Add()
                     e.Field("Status").EditType(KanbanEditingType.Dropdown).Add()
                     e.Field("Assignee").EditType(KanbanEditingType.Dropdown).Add()
                     e.Field("Estimate").EditType(KanbanEditingType.Numeric).ValidationRules(Sub(rule)
                                                                                                 rule.AddRule("range", "[0,1000]")
                                                                                             End Sub).Add()
                     e.Field("Summary").EditType(KanbanEditingType.TextArea).ValidationRules(Sub(rule)
                                                                                                 rule.AddRule("required", True)
                                                                                             End Sub).Add()
                 End Sub)
End Sub)
    kanbanbuilder.Fields(
        Sub(field)
            field.Color("Type")
            field.Content("Summary")
            field.ImageUrl("ImgUrl")
            field.Tag("Tags")
            field.Priority("RankId")
            field.SwimlaneKey("Assignee")
            field.PrimaryKey("Id")
        End Sub)
    kanbanbuilder.Columns(
        Sub(col)
            col.HeaderText("Backlog").Key("Open").Add()
            col.HeaderText("In Progress").Key("InProgress").Add()
            col.HeaderText("Done").Key("Close").Add()
        End Sub)
    kanbanbuilder.StackedHeaderRows(Sub(rows)
                                        rows.StackedHeaderColumns(Sub(columns)
                                                                      columns.HeaderText("MyGroup").Column("Backlog, In Progress").Add()
                                                                      columns.HeaderText("MyGroup1").Column("Done").Add()
                                                                  End Sub).Add()
                                    End Sub)
    kanbanbuilder.Render()
End Code
</div>
